#! /usr/bin/env python
import os
import time
import tweepy
from didyoumean3.didyoumean import did_you_mean


class Tweeper(object):

    def __init__(self):
        auth = tweepy.OAuthHandler(
            os.environ["ZOO_DAWA_KEY"],
            os.environ["ZOO_DAWA_KEY_SECRET"])
        auth.set_access_token(
            os.environ["ZOO_DAWA_TOKEN"],
            os.environ["ZOO_DAWA_TOKEN_SECRET"])
        self.api = tweepy.API(auth)

    def tweet(self, message):
        """Tweets a message after spellchecking it."""
        message = did_you_mean(message)
        print("About to tweet:", message)
        time.sleep(5)
        self.api.update_status(message)


def main():
    Tweeper().tweet("un pont de paris sen souvient sur de toi")


# Authenticate to Twitter


if __name__ == '__main__':
    main()
